import matplotlib.pyplot as plt
import numpy as np

plt.rcParams.update({"text.usetex": True, "font.family": "sans-serif", "font.sans-serif": ["Helvetica"]})

y = np.array([1., 2., 3., 4., 5., 6.])
num = np.array([125., 275., 830., 1200., 1750., 1650.])

px = 1 / plt.rcParams['figure.dpi']
# fig = plt.figure()
# axs = [None, None]
# axs[0] = fig.add_subplot(1, 2, 1, figsize=(400 * px, 400 * px))
# axs[1] = fig.add_subplot(1, 2, 1, figsize=(400 * px, 400 * px))
fig, axs = plt.subplots(1, 2, figsize=(800 * px, 400 * px))
axs[0].plot(y, num)
axs[1].plot(y[:-1], num[1:] - num[:-1])
axs[0].grid()
axs[1].grid()
plt.savefig("Sheep.eps", format='eps')
